| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightingProcessData Struct Reference
[Lighting]

The iLightingProcessData interface can be implemented by a mesh object so that it can attach additional information for the lighting process. More...

`#include <iengine/light.h>`

Inheritance diagram for iLightingProcessData:

[legend]
List of all members.

## Public Member Functions
virtual void | FinalizeLighting ()=0
| Finalize lighting.

## Detailed Description

The iLightingProcessData interface can be implemented by a mesh object so that it can attach additional information for the lighting process.

Definition at line 463 of file light.h.

## Member Function Documentation

virtual void iLightingProcessData::FinalizeLighting | ( |  | ) | `[pure virtual]`

Finalize lighting.

This function is called by the lighting routines after performing CheckFrustum().

The documentation for this struct was generated from the following file:

- iengine/light.h